<!-- #include file="../lib/site_lib.asp" -->
<%
'--------------------------------------------------------------------
' aspnuke.asp
'	Display the "about ASP Nuke" page
'
' Copyright (C) 2002 Orvado Technologies (http://www.orvado.com)
'
' This program is free software; you can redistribute it and/or
' modify it under the terms of the GNU General Public License
' as published by the Free Software Foundation; either version 2
' of the License, or (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'--------------------------------------------------------------------
%>
<!-- #include file="../header.asp" -->

<p>
<font class="maintitle">ASP Nuke</font><br>
<font class="articleauthor">Kenneth W. Richards</font><br>
<a href="http://www.orvado.com" class="tinytext">Orvado Technologies</a>
</p>

<h3>Introduction</h3>

<p>
ASP Nuke is an open-source software application for running a community-based
web site on a web server.  By open-source, we mean the code is freely available
for others to read, modify and use in accordance with the
<a href="../license.txt">software license</a>.
</p>

<p>
ASP Nuke is an extensible framework that allows you to upgrade and add applications
to the website quickly and easily.  It uses a modular architecture allowing others
to rapidly develop new modules and site operators to re-organize the layout and
navigation for their site.
</p>

<h3>Requirements</h3>

<p>
We strive to keep the requirements for ASP Nuke as simple as possible.  This allows
much greater access to our code for everyone around the world.  The requirements
for the ASP Nuke content management system are:
</p>

<ol>
<li>Microsoft SQL Server 2000</li>
<li>Microsoft Internet Information Server (IIS) 5.0</li>
</ol>

<p>
If you have these two items, you should have no problems setting up and running your
own ASP Nuke site.  The web server (IIS) is included free with the Microsoft Windows 2000
and XP operating systems (professional or server edition).
</p>

<p>
If you are hosting ASP Nuke with a hosting provider, you will need to be able to set
folder permissions on your web site folders so that the web service can create files
(for the purpose of image uploading and module updates only.)
</p>

<h3>Authors</h3>

<p>
Currently (09/30/03), the ASP Nuke project has been completely maintained by
<a href="http://www.orvado.com">Orvado Technologies</a>.  With the open-source
release, we hope that others will help to contribute and make the finest
community software avaialable for windows.
</p>

<p>
A project will be setup on SourceForge in the near future to help manage all
of the software updates.  If you have any suggestions on how we can make this
product better, please feel free to <A href="../suggestions.asp">send us your
suggestions</a> ... we look forward to hearing from you!
</p>

<p>
<font class="tinytext">Last Updated: Sep 29, 2003</font>
</p>

<!-- #include file="../footer.asp" -->