<SCRIPT LANGUAGE="VBScript" RUNAT="server">
'--------------------------------------------------------------------
' upload_lib.asp
'	Process an HTTP file upload through a form that is encoded with
'	enctype="multipart/form-data"
'
'	!!!!!!!!!!!!!!!!!!!!!!!! DEPRECATED !!!!!!!!!!!!!!!!!!!!!!!!!!!
'	Upload functionality has been added to /lib/site_lib.asp
'	!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
'
'	USAGE:
'	<-- #include file="../../../lib/upload_lib.asp" -->
'	<%
'		If Request.ServerVariables("REQUEST_METHOD") = "POST" Then
'			Call uplSaveAll("/upload")
'				sFullname = uplObjForm("FullName")
'				sFilename = uplObjFilenames("FileName")
'		End If
'	%>
'	<form method="post" enctype="multipart/form-data" action="test.asp">
'	Full Name:<BR>
'		<input type="text" name="FullName"><BR><BR>
'	Choose File:<BR>
'		<input type="file" name="FileName"><BR><BR>
'		<input type=submit name=submit value="Upload">
'	</form>
'
' Copyright (C) 2002 Orvado Technologies (http://www.orvado.com)
'
' This program is free software; you can redistribute it and/or
' modify it under the terms of the GNU General Public License
' as published by the Free Software Foundation; either version 2
' of the License, or (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'--------------------------------------------------------------------

Dim uplPosted
Dim uplObjContentType	' hash of content types for uploaded files
Dim uplObjFilenames		' hash for all of the filenames
Dim uplObjBlob			' binary large objects (for files)
Dim uplObjForm			' hash for the form variables
Dim uplErrorMsg			' error message generated by library
Dim uplReplaceFind		' string in path to replace
Dim uplReplaceWith		' string in path to replace with
Dim uplOverwrite		' overwrite the existing file (if any)

uplPosted = False
uplOverwrite = False
'Byte string to Unicode string conversion
Function BStr2UStr(BStr)
	Dim lngLoop
	BStr2UStr = ""
	For lngLoop = 1 to LenB(BStr)
		BStr2UStr = BStr2UStr & Chr(AscB(MidB(BStr,lngLoop,1)))
	Next
End Function

'Unicode string to Byte string conversion
Function UStr2Bstr(UStr)
	Dim lngLoop
	Dim strChar
	UStr2Bstr = ""
	For lngLoop = 1 to Len(UStr)
		strChar = Mid(UStr, lngLoop, 1)
		UStr2Bstr = UStr2Bstr & ChrB(AscB(strChar))
	Next
End Function

' URL decode a string
Function URLDecode(Expression)
	'Why doesn't ASP provide this functionality for us?
	Dim strSource, strTemp, strResult
	Dim lngPos
	strSource = Replace(Expression, "+", " ")
	For lngPos = 1 To Len(strSource)
	    strTemp = Mid(strSource, lngPos, 1)
	    If strTemp = "%" Then
			If lngPos + 2 < Len(strSource) Then
				strResult = strResult & Chr(CInt("&H" & Mid(strSource, lngPos + 1, 2)))
				lngPos = lngPos + 2
			End If
		Else
			strResult = strResult & strTemp
		End If
	Next
	URLDecode = strResult
End Function

Sub uplParseRequest()
	Dim lngTotalBytes, lngPosBeg, lngPosEnd
	Dim lngPosBoundary, lngPosTmp, lngPosFileName
	Dim strBRequest, strBBoundary, strBContent
	Dim strName, strFileName, strContentType
	Dim strValue, strTemp
	Dim objFile

	' create the hashtables to store form information
	Set uplObjContentType = Server.CreateObject("Scripting.Dictionary")
	Set uplObjFilenames = Server.CreateObject("Scripting.Dictionary")
	Set uplObjBlob = Server.CreateObject("Scripting.Dictionary")
	Set uplObjForm = Server.CreateObject("Scripting.Dictionary")

	'Grab the entire contents of the Request as a Byte string
	lngTotalBytes = Request.TotalBytes
	strBRequest = Request.BinaryRead(lngTotalBytes)
	uplPosted = True

	'Find the first Boundary
	lngPosBeg = 1
	lngPosEnd = _
	    InStrB(lngPosBeg, strBRequest, UStr2Bstr(Chr(13)))
	If lngPosEnd > 0 Then
		strBBoundary = _
	        MidB(strBRequest, lngPosBeg, lngPosEnd - lngPosBeg)
		lngPosBoundary = InStrB(1, strBRequest, strBBoundary)
	End If
	If strBBoundary = "" Then
	'The form must have been submitted *without*
	'ENCTYPE="multipart/form-data"
	'But since we already called Request.BinaryRead,
	'we can no longer access the Request.Form collection,
	'so we need to parse the request and populate
	'our own form collection.
		lngPosBeg = 1
		lngPosEnd = InStrB(lngPosBeg, strBRequest, UStr2BStr("&"))
		Do While lngPosBeg < LenB(strBRequest)
			'Parse the element and add it to the collection
			strTemp = BStr2UStr(MidB(strBRequest, lngPosBeg, lngPosEnd - lngPosBeg))
			lngPosTmp = InStr(1, strTemp, "=")
			strName = URLDecode(Left(strTemp, lngPosTmp - 1))
			strValue = URLDecode(Right(strTemp, Len(strTemp) - lngPosTmp))
			uplObjForm.Add strName, strValue
			'Find the next element
			lngPosBeg = lngPosEnd + 1
			lngPosEnd = InStrB(lngPosBeg, strBRequest, UStr2BStr("&"))
			If lngPosEnd = 0 Then
				lngPosEnd = LenB(strBRequest) + 1
			End If
		Loop
	Else
	'Form was submitted with ENCTYPE="multipart/form-data"
	'Loop through all the boundaries, and parse them
	'into either the Form or Files collections.
	Do Until (lngPosBoundary = InStrB(strBRequest, strBBoundary & UStr2Bstr("--")))
		'Get the element name
		lngPosTmp = InStrB(lngPosBoundary, strBRequest, UStr2BStr("Content-Disposition"))
		lngPosTmp = InStrB(lngPosTmp, strBRequest, UStr2BStr("name="))
		lngPosBeg = lngPosTmp + 6
		lngPosEnd = InStrB(lngPosBeg, strBRequest, UStr2BStr(Chr(34)))
		strName = BStr2UStr(MidB(strBRequest, lngPosBeg, lngPosEnd - lngPosBeg))
		'Look for an element named 'filename'
		lngPosFileName = InStrB(lngPosBoundary, strBRequest, UStr2BStr("filename="))
		'If found, we have a file,
		'otherwise it is a normal form element
	    If lngPosFileName <> 0 And lngPosFileName < InStrB(lngPosEnd, strBRequest, strBBoundary) Then
			'It is a file. Get the FileName
			lngPosBeg = lngPosFileName + 10
			lngPosEnd = InStrB(lngPosBeg, strBRequest, UStr2BStr(chr(34)))
			strFileName = BStr2UStr(MidB(strBRequest, lngPosBeg, lngPosEnd - lngPosBeg))
			'Get the ContentType
			lngPosTmp = InStrB(lngPosEnd, strBRequest, UStr2BStr("Content-Type:"))
			lngPosBeg = lngPosTmp + 14
			lngPosEnd = InstrB(lngPosBeg, strBRequest, UStr2BStr(chr(13)))
			strContentType = BStr2UStr(MidB(strBRequest, lngPosBeg, lngPosEnd - lngPosBeg))
			'Get the Content
			lngPosBeg = lngPosEnd + 4
			lngPosEnd = InStrB(lngPosBeg, strBRequest, strBBoundary) - 2
			strBContent = MidB(strBRequest, lngPosBeg, lngPosEnd - lngPosBeg)
			If strFileName <> "" And strBContent <> "" Then
				'Create the File object and add it to the Files collection
				uplObjFileNames.Add strName, Right(strFileName, Len(strFileName) - InStrRev(strFileName, "\"))
				uplObjContentType.Add strName, strContentType
				uplObjBlob.Add strName, strBContent
			End If
	    Else 'It is a form element
			'Get the value of the form element
			lngPosTmp = InStrB(lngPosTmp, strBRequest, UStr2BStr(chr(13)))
			lngPosBeg = lngPosTmp + 4
			lngPosEnd = InStrB(lngPosBeg, strBRequest, strBBoundary) - 2

			strValue = BStr2UStr(MidB(strBRequest, lngPosBeg, lngPosEnd - lngPosBeg))
			'Add the form element to the collection
			uplObjForm.Add strName, strValue
		End If
		'Move to Next Element
		lngPosBoundary = InStrB(lngPosBoundary + LenB(strBBoundary), strBRequest, strBBoundary)
	Loop
	End If
End Sub

'--------------------------------------------------------------------
' uplCreateDirs
'	Create all directories necessary in the file path.  The path
'	supplied should be the virtual path to the new directory

Sub uplCreateDirs(sPath)
	Dim sDir, objFSO, nPos

	Set objFSO = Server.CreateObject("Scripting.FileSystemObject")
	nPos = InStr(2, sPath, "/")
	Do While nPos > 0
		sDir = Server.MapPath("/") & Left(sPath, nPos - 1)
		if Not objFSO.FolderExists(sDir) Then Call objFSO.CreateFolder(sDir)
		nPos = Instr(nPos + 1, sPath, "/")
	Loop
	sDir = Server.MapPath("/") & sPath
	if Not objFSO.FolderExists(sDir) Then Call objFSO.CreateFolder(sDir)
	Set objFSO = Nothing
End Sub

'--------------------------------------------------------------------
' uplSaveAll
'	Saves all of the uploaded files to the path given in the method
'	parameter (sPath)

Sub uplSaveAll(sPath)
	Dim objFSO, objFSOFile, sFilename
	Dim lngLoop, sFile

	' create the necessary folders for this file
	uplCreateDirs sPath
	Set objFSO = Server.CreateObject("Scripting.FileSystemObject")
	For Each sFile In uplObjFileNames.Keys
		If Trim(uplObjFileNames(sFile)) <> "" Then
			' build the filename on the local server (to save as)
			sFilename = Replace(Server.MapPath("/") & objFSO.BuildPath(sPath, uplObjFileNames(sFile)), "/", "\")
			If (uplReplaceFind <> "") Then sFilename = Replace(sFilename, uplReplaceFind, uplReplaceWith)

			If objFSO.FileExists(sFilename) And Not uplOverwrite Then
				uplErrorMsg = uplErrorMsg & "Sorry, File """ & sFilename & """ Already Exists"
			Else
				On Error Resume Next
				Set objFSOFile = objFSO.CreateTextFile(sFilename)
				If Err.Number <> 0 Then
					Response.Write "<P><B CLASS=""error"">Unable to create new file (" & Err.Description & "): " &_
						sFilename &_
						"<BR>Key = " & sFile &_
						"</B></P>"
					Response.End
				End If
				On Error Goto 0
				For lngLoop = 1 to LenB(uplObjBlob(sFile))
					objFSOFile.Write Chr(AscB(MidB(uplObjBlob(sFile), lngLoop, 1)))
				Next
				objFSOFile.Close
			End If
		End If
	Next
	Set objFSO = Nothing
End Sub
</SCRIPT>